From 00631a606c8748ee5711f83d4f4e10f6624fa929 Mon Sep 17 00:00:00 2001
From: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
Date: Tue, 21 May 2019 18:41:09 +0200
Subject: [PATCH 13/21] no need for working DNS in idl compiler

---
 idl/main.cc    | 7 +++++++
 orb/address.cc | 7 +++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/idl/main.cc b/idl/main.cc
index a2ad803..61dcdaa 100644
--- a/idl/main.cc
+++ b/idl/main.cc
@@ -75,6 +75,13 @@ int main( int argc, char *argv[] )
   DB db;
 
   // ORB initialization
+  // Resolving the hostname is useless in the IDL compiler.
+  vector<char*> argvv;
+  argvv.push_back(argv[0]);
+  argvv.push_back(strdup("-ORBNoResolve"));
+  argvv.insert(argvv.end(), &argv[1], &argv[argc]);
+  ++argc;
+  argv = &argvv.front();
   CORBA::ORB_var orb = CORBA::ORB_init (argc, argv);
 
 #ifdef _WIN32
diff --git a/orb/address.cc b/orb/address.cc
index 7c2b279..10ee5d7 100644
--- a/orb/address.cc
+++ b/orb/address.cc
@@ -624,8 +624,11 @@ MICO::InetAddress::hostname ()
 {
     if (hname.length() == 0) {
         char buf[200];
-        int r = gethostname (buf, 200);
-	assert (r == 0);
+	if (_resolve) {
+	    int r = gethostname (buf, 200);
+	    assert (r == 0);
+	} else
+	    strcpy(buf, "localhost");
         /*
          * some OSes do not return an FQDN. So we get the ip address for the
          * hostname and resolve that address into the FQDN...

